gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A button box should be used to provide a consistent layout of buttons throughout your application. This box provides a way of

The layout of buttons in this type of box is determined by the box's .

Methods for manipulating button boxes are provided in the super classes, and .

Gtk.ButtonBox Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of VButtonBox, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of VButtonBox, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The normal way to construct a vertical button box
  A new VBox
- Property
  System.UInt32 The GLib Type for Gtk.VButtonBox The GLib TYpe for the Gtk.VButtonBox class.